config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

perms() {
    # Keep same perms on file
    NEW="$1"
    OLD="$(dirname $NEW)/$(basename $NEW .new)"
    if [ -e $OLD ]; then
	cp -a $OLD $NEW.incoming
	cat $NEW > $NEW.incoming
	mv $NEW.incoming $NEW
    fi
    config $NEW
}

perms etc/rc.d/rc.shorewall6.new
perms etc/logrotate.d/shorewall6.new
for NEW in etc/shorewall6/*.new; do
  config $NEW
done

( cd sbin ; rm -rf shorewall6 )
( cd sbin ; ln -sf shorewall shorewall6 )
( cd usr/share/shorewall6 ; rm -rf functions )
( cd usr/share/shorewall6 ; ln -sf lib.base functions )
